var exec = require('cordova/exec');

var ZebraRFID = {
    /**
     * Initialize the RFID scan listener.
     * @param {Function} success - Callback for receiving scan data.
     * @param {Function} error - Callback for errors during initialization.
     */
    initialize: function (success, error) {
        exec(success, error, "ZebraRFIDPlugin", "initialize", []);
    },

    /**
     * Start the RFID scanning process.
     * @param {Function} success - Callback for a successful start.
     * @param {Function} error - Callback for errors during start.
     */
    startScan: function (success, error) {
        exec(success, error, "ZebraRFIDPlugin", "startRFIDScan", []);
    },

    /**
     * Stop the RFID scanning process.
     * @param {Function} success - Callback for a successful stop.
     * @param {Function} error - Callback for errors during stop.
     */
    stopScan: function (success, error) {
        exec(success, error, "ZebraRFIDPlugin", "stopRFIDScan", []);
    }
};

module.exports = ZebraRFID;
